xine-lib: xine-lib-1.2.12/src/video_out/vaapi/xine_va_display_glx.c File Reference

xine-lib 1.2.12

Macros | Functions | Variables
xine_va_display_glx.c File Reference
`#include "xine_va_display_plugin.h"`
`#include <stdlib.h>`
`#include <xine.h>`
`#include <xine/xine_internal.h>`
`#include <va/va.h>`
`#include <va/va_glx.h>`

## Macros
#define | LOG_MODULE "va_display_glx"

## Functions
static void | _module_dispose (xine_module_t *module)
static xine_module_t * | _get_instance (xine_module_class_t *class_gen, const void *data)
static void * | _init_class (xine_t *xine, const void *params)

## Variables
static const xine_module_info_t | module_info
const plugin_info_t xine_plugin_info[] | EXPORTED

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "va_display_glx"

## Function Documentation

## ◆ _get_instance()

static xine_module_t * _get_instance | ( | xine_module_class_t * | class_gen,
|  | const void * | data
| ) |  |
| static

References _module_dispose(), x11_visual_t::display, xine_va_display_plugin_s::display, xine_module_s::dispose, va_display_plugin_params_t::flags, LOG_MODULE, xine_va_display_plugin_s::module, NULL, xine_va_display_t::va_display, va_display_plugin_params_t::visual, va_display_plugin_params_t::visual_type, xine_va_display_plugin_s::xine, va_display_plugin_params_t::xine, XINE_VA_DISPLAY_GLX, XINE_VERBOSITY_DEBUG, XINE_VISUAL_TYPE_X11, and xprintf.

Referenced by _init_class().

## ◆ _init_class()

static void * _init_class | ( | xine_t * | xine,
|  | const void * | params
| ) |  |
| static

References _get_instance(), xine_module_class_s::get_instance, N_, and NULL.

## ◆ _module_dispose()

static void _module_dispose | ( | xine_module_t * | module | ) |
| static

References xine_va_display_plugin_s::display, xine_va_display_t::va_display, and xine_container_of.

Referenced by _get_instance().

## Variable Documentation

## ◆ EXPORTED

const plugin_info_t xine_plugin_info [] EXPORTED

Initial value:
= {
{ PLUGIN_XINE_MODULE, 1, "va_display_glx", XINE_VERSION_CODE, &module_info, _init_class },
{ PLUGIN_NONE, 0, NULL, 0, NULL, NULL },
}
XINE_VERSION_CODE
#define XINE_VERSION_CODE
Definition: xine_internal.h:57
NULL
NULL
Definition: xine_plugin.c:78
PLUGIN_NONE
#define PLUGIN_NONE
Definition: xine_plugin.h:29
PLUGIN_XINE_MODULE
#define PLUGIN_XINE_MODULE
Definition: xine_plugin.h:41
module_info
static const xine_module_info_t module_info
Definition: xine_va_display_glx.c:114
_init_class
static void * _init_class(xine_t *xine, const void *params)
Definition: xine_va_display_glx.c:99

## ◆ module_info

const xine_module_info_t module_info
| static

Initial value:
= {
.priority = 9,
.type = "va_display_v1",
.sub_type = XINE_VISUAL_TYPE_X11,
}
XINE_VISUAL_TYPE_X11
#define XINE_VISUAL_TYPE_X11
Definition: xine.h:154